cURL
curl --request GET \
--url 'https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/egress-private-endpoints?pagination.page=SOME_STRING_VALUE&pagination.limit=SOME_INTEGER_VALUE&pagination.as_of_time=SOME_STRING_VALUE&pagination.sort_order=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"egress_private_endpoints": [
{
"domain_names": [
"<string>"
],
"endpoint_address": "<string>",
"endpoint_connection_id": "<string>",
"id": "<string>",
"region": "<string>",
"state": "PENDING",
"target_service_identifier": "<string>",
"target_service_type": "PRIVATE_SERVICE",
"domain_names_state": "EMPTY"
}
],
"pagination": {
"next_page": "<string>",
"previous_page": "<string>"
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}List egress private endpoints
Can be used by the following roles assigned at the organization, folder or cluster scope:
- CLUSTER_ADMIN
- CLUSTER_OPERATOR_WRITER
- CLUSTER_DEVELOPER
- AUDITOR
GET
/
api
/
v1
/
clusters
/
{cluster_id}
/
networking
/
egress-private-endpoints
cURL
curl --request GET \
--url 'https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/egress-private-endpoints?pagination.page=SOME_STRING_VALUE&pagination.limit=SOME_INTEGER_VALUE&pagination.as_of_time=SOME_STRING_VALUE&pagination.sort_order=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"egress_private_endpoints": [
{
"domain_names": [
"<string>"
],
"endpoint_address": "<string>",
"endpoint_connection_id": "<string>",
"id": "<string>",
"region": "<string>",
"state": "PENDING",
"target_service_identifier": "<string>",
"target_service_type": "PRIVATE_SERVICE",
"domain_names_state": "EMPTY"
}
],
"pagination": {
"next_page": "<string>",
"previous_page": "<string>"
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}This endpoint is in Limited Access and may not be available to all users. Refer to the API support policy for more details.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
cluster_id identifies the CockroachDB Cloud cluster whose egress private endpoints to list.
Query Parameters
- ASC: Sort in ascending order. This is the default unless otherwise specified.
- DESC: Sort in descending order.
Available options:
ASC, DESC 
